unity4.6.3sp3 get error with sdk 4.0

March 22, 2015 - 11:48pm #1

there is an error on my test:

Unity3d 4.6.3sp3 + vuforia-unity-mobile-android-ios-4-0-103.unitypackage 

run the sample demp: ImageTargets-4-0-103.unitypackage

and export to xcode 6.2.

then got the error,camera was stopped.  (use unity3d 4.5.x is OK ).

-----------------------------

the last log is:

 -> applicationWillResignActive()
StopQCAR
Replacements.RemotingServices:CreateClientProxy(Type, String, Object[])
UnityEngine.Debug:Internal_Log(Int32, String, Object)
UnityEngine.Debug:Log(Object)
Vuforia.QCARAbstractBehaviour:StopQCAR()
Vuforia.QCARAbstractBehaviour:OnApplicationPause(Boolean)
Replacements.RemotingServices:CreateClientProxy(Type, String, Object[])
 
(Filename: /Users/builduser/buildslave/unity/build/artifacts/iPhonePlayer-armv7-il2cppGenerated/UnityEngineDebug.cpp Line: 56)

markerTrackerStop
objectTrackerStop
cameraDeviceStopCamera
cameraDeviceDeinitCamera 

unity4.6.3sp3 get error with sdk 4.0

March 23, 2015 - 11:49pm #4

Yes, you need to set OpenGL ES 2.0 on iOS Player Settings with Unity 4.6.3 and above, as otherwise Unity may select Automatic (which would mean selecting the METAL API, by default).

 

unity4.6.3sp3 get error with sdk 4.0

March 23, 2015 - 5:46pm #3

Yes,you are right;

In unity5.5 the default  Configuration Graphics Level is: Force  OpenGL ES 2.0

In unity5.6.3 the default Configureation Craphics Level is: auto. should change to OpenGL ES 2.0.

unity4.6.3sp3 get error with sdk 4.0

March 23, 2015 - 9:30am #2

Hi,

I just tried iimporting the Image targets 4-0-103 unitypackage in a fresh new Unity project, using the following setup:

 

  • Unity 4.6.3 patch p3
  • Xcode 6.2
  • Mac OSX Yosemite 10.10.2
  • iOS Player Settings:
    • Scripting Backend: IL2CPP (as this is the only one that supports iOS 64bit arm64, as already mentioned elsewhere in this portal and forum)
    • Architecture: Universal
    • Graphics API: OpenGL ES 2.0 (Metal not being supported in Vuforia 4.0)
    • Target Device: iPhone + iPad

This worked fine (could build and run without problems).

 

Topic locked